/**
 * Lib array module.
 * @namespace lib.array
 * @author Taka Okunishi
 *
 */



/**
 * Define an object property getter with require function.
 * @private
 */
function getRequire (moduleName) {
    return {
        enumerable: true,
        get: function () {
            return require(moduleName);
        }
    };
}

// Export modules with lazy loading.
Object.defineProperties(exports, {
    newUniqueFilter: getRequire('./new_unique_filter'),
    toArray: getRequire('./to_array')

});
